Get Templates List

POST /ws/rest/service/v1/cashflow/template/list/{project_number}

Purpose

Get a list of all cashflow templates with all curves types defined. The request provides various options for fetching the data.

Request Format

All parameters should be URL encoded.

Path Parameter

project_number: Specify the project number in which the curve exists.

POST body is a JSON

Note:

POST call has input & output both as JSON in the body.

{

"options":{ "property_name": "CBS CF" }

}

Supported Options Properties

The following parameters can be included in the "Options" JSON map:

  • "property_name": "CBS CF"
  • "curve_name": << Name of The Curve>>,
  • "rollup_status"<<Active><Inactive>>

    If rollup_status value provided is other than above-mentioned values, invalid options message will be thrown.

  • "detail_level"<<Summary CBS>< CBS><Project / Shell><Commitment>>

    If detail_level value provided is other than above-mentioned values, invalid options message will be thrown.

  • "include_curves":<< Yes/ No>> <!-- default is Yes if not provided→>

    If include_curves value provided is other than above-mentioned values, invalid options message will be thrown.

If no options are provided, the service returns all templates with cash flow curves from the project.

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.